// Copyright(c) 1999 arton	

#ifndef __ETHERTYPENAMECOLLECTION_H_
#define __ETHERTYPENAMECOLLECTION_H_

#include "resource.h"

/////////////////////////////////////////////////////////////////////////////
// CEtherTypeNameCollection
class ATL_NO_VTABLE CEtherTypeNameCollection : 
	public CComObjectRootEx<CComMultiThreadModel>,
	public CComCoClass<CEtherTypeNameCollection, &CLSID_EtherTypeNameCollection>,
	public IObjectSafetyImpl<CEtherTypeNameCollection, INTERFACESAFE_FOR_UNTRUSTED_CALLER | INTERFACESAFE_FOR_UNTRUSTED_DATA>,
	public IDispatchImpl<IEtherTypeNameCollection, &IID_IEtherTypeNameCollection, &LIBID_MACCAPV2Lib, MACCAPLIB_MJ>
{
public:
	CEtherTypeNameCollection()
	{
		m_pUnkMarshaler = NULL;
	}

DECLARE_REGISTRY_RESOURCEID(IDR_ETHERTYPENAMECOLLECTION)
DECLARE_GET_CONTROLLING_UNKNOWN()

DECLARE_PROTECT_FINAL_CONSTRUCT()

BEGIN_COM_MAP(CEtherTypeNameCollection)
	COM_INTERFACE_ENTRY(IEtherTypeNameCollection)
	COM_INTERFACE_ENTRY(IDispatch)
	COM_INTERFACE_ENTRY(IObjectSafety)
	COM_INTERFACE_ENTRY_AGGREGATE(IID_IMarshal, m_pUnkMarshaler.p)
END_COM_MAP()

	HRESULT FinalConstruct()
	{
		return CoCreateFreeThreadedMarshaler(
			GetControllingUnknown(), &m_pUnkMarshaler.p);
	}

	void FinalRelease()
	{
		m_pUnkMarshaler.Release();
	}

	CComPtr<IUnknown> m_pUnkMarshaler;

// IEtherTypeNameCollection
public:
	HRESULT STDMETHODCALLTYPE get__NewEnum( 
            /* [retval][out] */ IUnknown __RPC_FAR *__RPC_FAR *ppUnk);

	HRESULT STDMETHODCALLTYPE get_Length( 
            /* [retval][out] */ long __RPC_FAR *pResult);
        
	HRESULT STDMETHODCALLTYPE Find( 
            /* [in] */ long Proto,
            /* [retval][out] */ BSTR __RPC_FAR *pResult);
};

#endif //__ETHERTYPENAMECOLLECTION_H_
