//---------------------------------------------------------------------
// Copyright(c) 1999 arton
//
#include <vcl.h>
#pragma hdrstop
#include "ListSearch.h"
#include "DispForm.h"
#include "MacCapV2Lib_TLB.h"
#include "FreePeekStrs.h"
//---------------------------------------------------------------------
#pragma link "IPMaskEdit"
#pragma resource "*.dfm"
TSearchDlg *SearchDlg;
//---------------------------------------------------------------------
__fastcall TSearchDlg::TSearchDlg(TComponent* AOwner)
	: TForm(AOwner)
{
    AddressEdit->SetAddressType(true);
    AddressEdit->Visible = false;
    DataEdit->Visible = false;
    TimeEdit->Visible = true;
}
//---------------------------------------------------------------------
void __fastcall TSearchDlg::TabControlChanging(TObject *Sender,
      bool &AllowChange)
{
    TCustomEdit* tabs[] = {
        TimeEdit,
        AddressEdit,
        DataEdit,
        DataEdit,
    };
    tabs[TabControl->TabIndex]->Clear();
    tabs[TabControl->TabIndex]->Visible = false;
}
//---------------------------------------------------------------------------
void __fastcall TSearchDlg::TabControlChange(TObject *Sender)
{
    TCustomEdit* tabs[] = {
        TimeEdit,
        AddressEdit,
        DataEdit,
        DataEdit,
    };
    tabs[TabControl->TabIndex]->Visible = true;
    tabs[TabControl->TabIndex]->SetFocus();
}
//---------------------------------------------------------------------------
void __fastcall TSearchDlg::OKBtnClick(TObject *Sender)
{
    tabIndex = TabControl->TabIndex;
    if (tabIndex == 3)
    {
        target = DataEdit->Text;
    }
    else if (tabIndex == 2)
    {
        AnsiString s = DataEdit->Text;
        for (int i = 1; i <= s.Length(); i++)
        {
            if (!isxdigit(s[i]))
            {
                Application->MessageBox(LoadStr(rsEDataValue).c_str(), "FreePeek", MB_OK);
                return;
            }
        }
        target = s.UpperCase();
    }
    else if (tabIndex == 1)
    {
        AddressEdit->ValidateEdit();
        AnsiString s = AddressEdit->Text;
        for (int i = 1; i <= s.Length(); i++)
        {
            if (s[i] != ' ')
                target += s[i];
        }
    }
    else
    {
        TimeEdit->ValidateEdit();
        target = TimeEdit->Text;
    }
}
//---------------------------------------------------------------------------
void __fastcall TSearchDlg::TimeEditClick(TObject *Sender)
{
    TimeEdit->SetFocus();    
}
//---------------------------------------------------------------------------

void __fastcall TSearchDlg::AddressEditClick(TObject *Sender)
{
    AddressEdit->SetFocus();    
}
//---------------------------------------------------------------------------

void __fastcall TSearchDlg::DataEditClick(TObject *Sender)
{
    DataEdit->SetFocus();    
}
//---------------------------------------------------------------------------

