//----------------------------------------------------------------------------
// Copyright(c) 1999 arton
//
#ifndef ListSearchH
#define ListSearchH
//----------------------------------------------------------------------------
#include <vcl\System.hpp>
#include <vcl\Windows.hpp>
#include <vcl\SysUtils.hpp>
#include <vcl\Classes.hpp>
#include <vcl\Graphics.hpp>
#include <vcl\StdCtrls.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Buttons.hpp>
#include <vcl\ExtCtrls.hpp>
#include "IPMaskEdit.h"
#include <ComCtrls.hpp>
#include <Mask.hpp>
//----------------------------------------------------------------------------
class TSearchDlg : public TForm
{
__published:
	TButton *OKBtn;
	TButton *CancelBtn;
    TTabControl *TabControl;
    TAddressMaskEdit *AddressEdit;
    TMaskEdit *TimeEdit;
    TEdit *DataEdit;
    void __fastcall TabControlChange(TObject *Sender);
    void __fastcall OKBtnClick(TObject *Sender);
    void __fastcall TimeEditClick(TObject *Sender);
    void __fastcall AddressEditClick(TObject *Sender);
    void __fastcall TabControlChanging(TObject *Sender, bool &AllowChange);
    void __fastcall DataEditClick(TObject *Sender);
private:
    AnsiString target;
    int tabIndex;
public:
	virtual __fastcall TSearchDlg(TComponent* AOwner);
    inline AnsiString& GetTarget() { return target; }
    inline int GetIndex() const { return tabIndex; }
};
//----------------------------------------------------------------------------
extern PACKAGE TSearchDlg *SearchDlg;
//----------------------------------------------------------------------------
#endif    
